
    .hide{
        display: none;
    }
    .picture_itme{
        height: 100%;
    }
    .video_item{
        height: 100%;
    }
    .cooperate_item{
        height: 100%;
    }
    .intro-body video {
      max-width: 100% !important;
    }

    .main-body {
      max-width: 500px;
      margin: 0 auto;
    }

    .source-menu {
      position: absolute;
      right: 1rem;
      top: 1rem;
      color: #fff;

    }

    .source-menu i {
      border-radius: 1rem;
      box-shadow: 0 0 5px #c1c1c1;
    }

    .source-list {
      position: absolute;
      right: 1rem;
      top: 2rem;
      color: #fff;
      display: none;
    }



    .source-item {
      background-color: #ccc;
      padding: 0.1rem;
      margin-top: 0.1rem;
    }

    .main-player {
      width: 100%;
      height: 9rem;
      background-color: #000;
      position: relative;
    }

    .main-container {
      height: calc(100vh - 9rem);
    }

    .swiper-container {
      width: 100%;
      height: 100%;
    }

    .nav-list {
      display: flex;
      justify-content: space-between;
      align-items: center;
      text-align: center;
      border-bottom: 1px solid #e0e0e0;
    }

    .nav-list .nav-item {
      width: 20%;
      line-height: 1.6rem;
      color: #666;
      border-bottom: 2px solid transparent;
      margin-bottom: -1px;
    }

    .nav-list .nav-item.current {
      border-color: #00a8ff;
      color: #00a8ff;
    }

    .nav-list .nav-item.fixed-nav {
      background-color: #00a8ff;
      color: #fff;
    }

    .container-body {
      height: calc(100% - 1.6rem - 2px);

    }

    .swiper-inner-body {
      padding: 0 0.5rem;
      overflow: auto;
      height: 100%;
    }

    .intro-header {
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding-top: 1rem;
      padding-bottom: 1rem;
      border-bottom: 1px solid #f0f0f0;
    }

    .intro-header .info {
      display: flex;
      justify-content: flex-start;
      align-items: center;
    }

    .intro-header .avatar {
      width: 2rem;
      height: 2rem;
      background-size: cover;
      background-position: center;

    }


    .intro-header .nickname {
      font-size: 0.7rem;
      font-weight: 600;
      margin-left: 0.5rem;
    }

    .intro-header .right img {
      width: 0.8rem;
    }

    .intro-body {
      padding: 0.5rem 0;
    }

    .intro-body img {
      display: block !important;
      width: auto !important;
      max-width: calc(100% + 1rem) !important;
      height: auto !important;
      margin-left: -0.5rem !important;
      margin-right: 0 !important;
    }

    .list-container {
      padding: 0.5rem;
    }

    .list-tab {
      width: 70%;
      margin: 0 auto;
      display: flex;
      justify-content: space-between;
      align-items: center;
      border: 1px solid #00a8ff;
      border-radius: 8px;
      overflow: hidden;
    }

    .list-tab .tab-item {
      width: 50%;
      text-align: center;
      padding: 0.4rem;
      background-color: #00a8ff;
      color: #fff;
    }

    .list-tab .tab-item.current {
      background-color: #fff;
      color: #00a8ff;
    }

    .swiper-container-list {
      margin-top: 1rem;
    }

    .sort-table {
      width: 100%;
    }

    .sort-number-icon {
      height: 1.5rem;
      width: 1.5rem;
      background-position: center;
      background-size: cover;
    }

    .sort-value {
      color: #00a8ff;
    }

    .chat-container {
      height: 100%;
      position: relative;

    }

    .chat-scroll {
      overflow: auto;
      height: 100%;


      background-color: #ebebeb;
    }

    .chat-list {

      padding: 0.5rem;
      padding-bottom: 2rem;

    }

    .chat-input {
      min-height: 2rem;
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      background-color: #fff;
      z-index: 9999;
    }

    .chat-input-main {
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 0.2rem;
    }

    .chat-nav {
      background-position: center;
      background-size: cover;
      width: 1.3rem;
      height: 1.3rem;
    }

    .chat-input-tap {
      width: calc(100% - 4rem);
      border: 1px solid #d6d6d6;
    }

    .chat-input-tap input {
      height: 100%;
      width: calc(100% - 0.8rem);
      margin: 0.2rem;
      padding: 0.2rem;
      border: none;
    }

    .post-input {
      background-color: #00a8ff;
      border-radius: 3px;
      color: #fff;
      padding: 0.2rem;
      white-space: nowrap;
    }

    .chat-input-hidden {
      height: 6rem;
      overflow: auto;
      display: none;
    }

    .face-list {}

    .face-list .face-item {
      display: inline-block;
      width: 1.2rem;
      height: 1.2rem;
      margin: 0.2rem;
    }

    .face-list .face-item img {
      width: 100%;
    }

    .plus-item {
      display: inline-block;
      text-align: center;
      width: 2.2rem;
      margin-left: 1rem;
      margin-top: 0.5rem;
    }

    .plus-item img {
      width: 100%;
    }

    .plus-item .title {
      margin-top: 0.2rem;
      color: #909090;
      font-size: 0.5rem;
    }

    .chat-record {
      display: flex;
      justify-content: flex-start;
      align-items: flex-start;
      margin-bottom: 0.3rem;
    }

    .chat-record .avatar {
      height: 1.6rem;
      width: 1.6rem;
      background-size: cover;
      background-position: center;
      margin-top: 0.3rem;
    }

    .chat-record .info {
      margin-left: 0.5rem;
    }

    .chat-record .bag {
      background-color: #fff;
      border-radius: 0.2rem;
      overflow: hidden;
      margin-top: 0.2rem;
    }

    .chat-record .bag img {
      width: 1.5rem;
    }

    .chat-record .bag .header {
      background-color: #ffba68;
      display: flex;
      padding: 0.5rem;
      color: #fff;
      justify-content: flex-start;
      align-items: center;
      padding-right: 2rem;
    }

    .chat-record .bag .footer {
      padding: 0.2rem;
      padding-left: 0.5rem;
      color: #ccc;
      font-size: 0.5rem;
    }

    .chat-record .nickanme {
      font-size: 0.65rem;
      color: #666;
      line-height: 0.8rem;
      margin-top: 0.2rem;
    }

    .chat-reward.chat-record .nickanme {
      color: #fff;
      font-size: 0.5rem;
    }

    .chat-record .content {
      margin-top: 0.2rem;
      background-color: #fff;
      border-radius: 5px;
      padding: 0.4rem
    }

    .chat-message-other {}

    .system-message .content {
      margin: 0 auto;
      background-color: #edcb91;
      color: #fff;
      padding: 0.2rem;

      font-size: 0.5rem;
    }

    .system-message img {
      height: 0.7rem;
    }

    .bag-value {
      color: #d84e43;
    }

    .toolmenu {
      position: absolute;
      right: 0.5rem;
      top: 3rem;
      z-index: 99;
    }

    .toolmenu .menu-item {
      width: 1.5rem;
      margin-bottom: 0.3rem;
      display: block;
    }

    .toolmenu .menu-item img {
      width: 100%;
    }

    .toolmenu .menu-item .nums {
      background-color: grey;
      margin-top: 0.2rem;
      font-size: 0.4rem;
      color: #fff;
      text-align: center;
      display: inline-block;
      padding: 0 0.2rem;
      border-radius: 0.5rem;
    }

    .qianghongbao {
      transform: rotate(7deg);
    }

    .chat-face {
      width: 1.2rem;
    }

    .chat-list-tips {
      text-align: center;
    }

    .user-upload {
      max-width: 6rem;
    }

    .img-preview {
      max-width: 100%;
    }

    .bubble-hearts {
      position: absolute;
      right: 0.5rem;
      bottom: 1.5rem;
      z-index: 9999;
      pointer-events: none;
      width: 85px;
      height: 150px;
      transform: rotate(-15deg);
    }

    .shang-container {
      position: fixed;
      top: 20%;
      left: 2rem;
      z-index: 9999999;
      width: 12rem;
      display: none;
    }

    .shang-bg {
      width: 100%;
      pointer-events: none;
    }

    .shang-main {
      position: absolute;
      height: 100%;
      width: 100%;
      top: 0;
      left: 0;
      z-index: 999;
    }

    .author-info .avatar {
      width: 2.5rem;
      height: 2.5rem;
      border-radius: 1rem;
      margin-top: 0.5rem;
      background-size: cover;
      background-position: center;
    }

    .close-line {
      text-align: right;
    }

    .close-btn {
      margin-right: 0.5rem;
      margin-top: 0.5rem;
      width: 0.8rem;
    }

    .shang-container .title {
      font-size: 0.6rem;
      text-align: center;
      color: #ffae00;
    }

    .author-info {
      text-align: center;
    }

    .author-info .avatar {
      display: inline-block;
    }

    .author-info .nickname {
      color: #fff;
    }

    .author-info .tips {
      color: #f9c587;
      font-size: 0.5rem;
      margin-top: 0.5rem;
    }

    .shang-container .money-info {
      position: absolute;
      bottom: 1rem;
      left: 0;
      width: 100%;
    }

    .money-list {
      display: flex;
      flex-wrap: wrap;
      width: 80%;
      margin: 0 auto;
    }

    .money-item {
      width: 30%;
      margin: 1%;
      text-align: center;
      border: 1px solid #d74751;
      color: #d74751;
      border-radius: 0.5rem;
      padding: 0.5rem 0;
    }

    .other-money {
      text-align: center;
      color: #e79e00;
      margin-top: 0.5rem;
    }

    .sort-info {
      display: flex;
      align-items: center;
      justify-content: flex-start;
    }

    .sort-info .avatar {
      width: 1.5rem;
      height: 1.5rem;
      background-position: center;
      background-size: cover;
      margin-right: 15px;
    }

    .hongbao-container {
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      z-index: 99999;
      background-color: #f3f3f3;
      display: none;
    }

    .hongbao-container .top-header {
      line-height: 2.5rem;
      background-color: #fff;
    }

    .hongbao-container .header-item {
      border-bottom: 2px solid #dd4017;
      color: #dd4017;
      display: inline-block;
      margin: 0 1rem;
      font-size: 0.7rem;
    }

    .hongbao-container .body {
      padding: 1rem;
    }

    .hongbao-container .input-item {
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-top: 1rem;
      padding: 1rem;
      background-color: #fff;
    }

    .hongbao-container .input-label {
      width: 40%;
    }

    .hongbao-container .input-main {
      display: flex;
      align-items: center;
      justify-content: space-between;
      width: 100%;
    }

    .hongbao-container .input-main input {
      width: 100%;
      text-align: right;
      border: unset;

    }

    .hongbao-container .input-main .input-desc {
      margin-left: 0.3rem;
    }

    .hongbao-container .input-main .bag-title {
      text-align: left;
    }

    .hongbao-container .body-item .money {
      text-align: center;
      font-size: 0.8rem;
      color: #dd4017;
      font-weight: bold;
    }

    .hongbao-container .body-item {
      margin-top: 1rem;
    }

    .hongbao-container .body-item .button {
      background-color: #dd4017;
      text-align: center;
      padding: 0.6rem;
      color: #fff;
      border-radius: 0.2rem;
      font-size: 0.7rem;
      font-weight: bold;
    }
  
    .tab-link-item {
      width: 100%;
      height: 100%;
    }
    .tab-link-item iframe {
      width: 100%;
      height: 100%;
      border: 0;
      display: block;
    }
    .mainpage-empty {
      width: 100%;
      height: 100%;
    }

